#
# spec file for package liblastfm-qt5
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           liblastfm-qt5
Version:        1.0.9+20150206
Release:        3.1
Summary:        A Qt C++ Library for the Last.fm Webservices
License:        GPL-3.0-or-later
Group:          System/Libraries
URL:            https://github.com/lastfm/liblastfm/
Source:         liblastfm-%{version}.tar.gz
Source1:        baselibs.conf
#PATCH-FIX-UPSTREAM
Patch0:         0001-Make-Qt5-build-default-and-simplify-logic-add-missin.patch
#PATCH-FIX-UPSTREAM
Patch1:         0004-Fix-build-with-Qt-5.11_beta3-drop-qt5_use_modules.patch
BuildRequires:  cmake
BuildRequires:  fftw3-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)

%description
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%package -n liblastfm5-1
Summary:        A Qt C++ Library for the Last.fm Webservices
Group:          System/Libraries

%description -n liblastfm5-1
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%package -n liblastfm_fingerprint5-1
Summary:        A Qt C++ Library for the Last.fm Webservices
Group:          System/Libraries

%description -n liblastfm_fingerprint5-1
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%package devel
Summary:        Development Files for the Last.fm Webservices
Group:          Development/Libraries/C and C++
Requires:       liblastfm5-1 = %{version}
Requires:       liblastfm_fingerprint5-1 = %{version}
Requires:       pkgconfig
Requires:       pkgconfig(Qt5Core)
Requires:       pkgconfig(Qt5DBus)
Requires:       pkgconfig(Qt5Network)
Requires:       pkgconfig(Qt5Xml)

%description devel
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

This package contains development files for liblastfm.

%prep
%autosetup -p1 -n liblastfm-%{version}

%build
%cmake \
  -DBUILD_WITH_QT4=OFF \
  -DBUILD_TESTS=OFF \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo
make %{?_smp_mflags}

%install
%cmake_install

%post -n liblastfm5-1 -p /sbin/ldconfig
%postun -n liblastfm5-1 -p /sbin/ldconfig
%post -n liblastfm_fingerprint5-1 -p /sbin/ldconfig
%postun -n liblastfm_fingerprint5-1 -p /sbin/ldconfig

%files -n liblastfm5-1
%license COPYING
%doc README.md
%{_libdir}/liblastfm5.so.*

%files -n liblastfm_fingerprint5-1
%license COPYING
%{_libdir}/liblastfm_fingerprint5.so.*

%files devel
%license COPYING
%{_libdir}/liblastfm5.so
%{_libdir}/liblastfm_fingerprint5.so
%{_includedir}/lastfm5/

%changelog
* Thu May 24 2018 christophe@krop.fr
- Add patches to fix build with Qt 5.11:
  * 0001-Make-Qt5-build-default-and-simplify-logic-add-missin.patch
  * 0004-Fix-build-with-Qt-5.11_beta3-drop-qt5_use_modules.patch
* Sun May  8 2016 mpluskal@suse.com
- Use cmake macro
- Small spec file cleanup with spec-cleaner
* Fri Feb  6 2015 dev@dominik-schmidt.de
- Update to 1.0.9+20150206:
  * Changes include dir from lastfm/ to lastfm5/ to make Qt4 and Qt5
    devel packages coinstallable
* Wed Oct 22 2014 hrvoje.senjan@gmail.com
- Update to 1.0.9:
  * Linux build fixes and Qt5 compatibility
- Activate and rename Qt5 variant of the package
* Thu Nov  7 2013 hrvoje.senjan@gmail.com
- Update to 1.0.8:
  * Bugfix release, no changelog provided
  * Ability to build the library against Qt5 (disabled for now)
* Sun Mar  3 2013 asterios.dramis@gmail.com
- Update to 1.0.7:
  Changelog not available.
- Removed liblastfm-fix-no-return-in-nonvoid-function.diff patch (fixed
  upstream).
- Removed fdupes build requirement (not needed).
* Thu Sep  6 2012 dmueller@suse.com
- rename it back to liblastfm-devel
* Thu Aug 23 2012 dev@dominik-schmidt.de
- fix no-return-in-nonvoid-function issue
* Thu Aug 23 2012 dev@dominik-schmidt.de
- Update to 1.0.2
  * liblastfm_fingerprint is now built on default
  * slightly extended api
  * bugfixes
* Thu Aug 23 2012 dev@dominik-schmidt.de
- also rename the devel package to liblastfm1-devel and make it
  conflict with the liblastfm-devel package
* Wed Aug 22 2012 dev@dominik-schmidt.de
- change name to liblastfm1, so devel package doesnt collide with
  old liblastfm still required by stable amarok
* Tue Aug 21 2012 dev@dominik-schmidt.de
- Update to 1.0.1
  * proper cmake based build system
  * needed for latest tomahawk release
  * support for showing your player on your last.fm profile
* Tue May 15 2012 idonmez@suse.com
- Fix build with Ruby 1.9
* Sat Jan 21 2012 crrodriguez@opensuse.org
- Build with -fvisibility-inlines-hidden, saving around 50
  exported symbols, in the extremely unlikely case this causes
  a problem, drop me a note.
- -devel pacakge requires libqt4-devel
* Mon May 23 2011 asterios.dramis@gmail.com
- Update to version 0.3.3.
- Spec file updates:
  * Changes based on spec-cleaner run.
  * Changed License: to GPLv3+.
  * Added description for the patches based on openSUSE Patches Guidelines.
  * Minor other updates.
- Compile package with optflags (added -fPIC to fix compilation error).
- Rebased liblastfm-sort.patch to apply cleanly.
- Rebased liblastfm-0.3.0-qmake.patch and renamed it to liblastfm_qmake.patch.
* Tue May 11 2010 aj@suse.de
- Sort lastfm.h to have same order each build.
* Fri Nov 20 2009 dmueller@suse.de
- fix packaging (spec file name, no functional change)
* Sat Sep  5 2009 buschmann23@opensuse.org - 0.3.0
- initial package
- version 0.3.0
